..  THIS FILE IS GENERATED BY `gen_doc.{py|sh}`
    !DO NOT EDIT THIS FILE MANUALLY!

=====
fluid
=====

.. _api_fluid_Block:

Block
-----

..  autoclass:: paddle.fluid.Block
    :members:
    :noindex:

.. _api_fluid_Variable:

Variable
--------

..  autoclass:: paddle.fluid.Variable
    :members:
    :noindex:

.. _api_fluid_Program:

Program
-------

..  autoclass:: paddle.fluid.Program
    :members:
    :noindex:

.. _api_fluid_Operator:

Operator
--------

..  autoclass:: paddle.fluid.Operator
    :members:
    :noindex:

.. _api_fluid_default_startup_program:

default_startup_program
-----------------------

..  autofunction:: paddle.fluid.default_startup_program
    :noindex:

.. _api_fluid_default_main_program:

default_main_program
--------------------

..  autofunction:: paddle.fluid.default_main_program
    :noindex:

.. _api_fluid_program_guard:

program_guard
-------------

..  autofunction:: paddle.fluid.program_guard
    :noindex:

.. _api_fluid_get_var:

get_var
-------

..  autofunction:: paddle.fluid.get_var
    :noindex:

.. _api_fluid_Executor:

Executor
--------

..  autoclass:: paddle.fluid.Executor
    :members:
    :noindex:

.. _api_fluid_global_scope:

global_scope
------------

..  autofunction:: paddle.fluid.global_scope
    :noindex:

.. _api_fluid_scope_guard:

scope_guard
-----------

..  autofunction:: paddle.fluid.scope_guard
    :noindex:

.. _api_fluid__switch_scope:

_switch_scope
-------------

..  autofunction:: paddle.fluid._switch_scope
    :noindex:


.. _api_fluid_make_channel:

make_channel
------------

..  autofunction:: paddle.fluid.make_channel
    :noindex:

.. _api_fluid_channel_send:

channel_send
------------

..  autofunction:: paddle.fluid.channel_send
    :noindex:

.. _api_fluid_channel_recv:

channel_recv
------------

..  autofunction:: paddle.fluid.channel_recv
    :noindex:

.. _api_fluid_channel_close:

channel_close
-------------

..  autofunction:: paddle.fluid.channel_close
    :noindex:

.. _api_fluid_Select:

Select
------

..  autoclass:: paddle.fluid.Select
    :members:
    :noindex:

.. _api_fluid_Trainer:

Trainer
-------

..  autoclass:: paddle.fluid.Trainer
    :members:
    :noindex:

.. _api_fluid_BeginEpochEvent:

BeginEpochEvent
---------------

..  autoclass:: paddle.fluid.BeginEpochEvent
    :members:
    :noindex:

.. _api_fluid_EndEpochEvent:

EndEpochEvent
-------------

..  autoclass:: paddle.fluid.EndEpochEvent
    :members:
    :noindex:

.. _api_fluid_BeginStepEvent:

BeginStepEvent
--------------

..  autoclass:: paddle.fluid.BeginStepEvent
    :members:
    :noindex:

.. _api_fluid_EndStepEvent:

EndStepEvent
------------

..  autoclass:: paddle.fluid.EndStepEvent
    :members:
    :noindex:

.. _api_fluid_CheckpointConfig:

CheckpointConfig
----------------

..  autoclass:: paddle.fluid.CheckpointConfig
    :members:
    :noindex:

.. _api_fluid_Inferencer:

Inferencer
----------

..  autoclass:: paddle.fluid.Inferencer
    :members:
    :noindex:

.. _api_fluid_DistributeTranspiler:

DistributeTranspiler
--------------------

..  autoclass:: paddle.fluid.DistributeTranspiler
    :members:
    :noindex:

.. _api_fluid_memory_optimize:

memory_optimize
---------------

..  autofunction:: paddle.fluid.memory_optimize
    :noindex:

.. _api_fluid_release_memory:

release_memory
--------------

..  autofunction:: paddle.fluid.release_memory
    :noindex:

.. _api_fluid_ParallelExecutor:

ParallelExecutor
----------------

..  autoclass:: paddle.fluid.ParallelExecutor
    :members:
    :noindex:

.. _api_fluid_ExecutionStrategy:

ExecutionStrategy
-----------------

..  autoclass:: paddle.fluid.ExecutionStrategy
    :members:
    :noindex:

.. _api_fluid_BuildStrategy:

BuildStrategy
-------------

..  autoclass:: paddle.fluid.BuildStrategy
    :members:
    :noindex:

.. _api_fluid_create_lod_tensor:

create_lod_tensor
-----------------

..  autofunction:: paddle.fluid.create_lod_tensor
    :noindex:

.. _api_fluid_create_random_int_lodtensor:

create_random_int_lodtensor
---------------------------

..  autofunction:: paddle.fluid.create_random_int_lodtensor
    :noindex:

.. _api_fluid_LoDTensor:

LoDTensor
---------

..  autoclass:: paddle.fluid.LoDTensor
    :members:
    :noindex:

.. _api_fluid_CPUPlace:

CPUPlace
--------

..  autoclass:: paddle.fluid.CPUPlace
    :members:
    :noindex:

.. _api_fluid_CUDAPlace:

CUDAPlace
---------

..  autoclass:: paddle.fluid.CUDAPlace
    :members:
    :noindex:

.. _api_fluid_CUDAPinnedPlace:

CUDAPinnedPlace
---------------

..  autoclass:: paddle.fluid.CUDAPinnedPlace
    :members:
    :noindex:

.. _api_fluid_Tensor:

Tensor
------

..  autoclass:: paddle.fluid.Tensor
    :members:
    :noindex:

.. _api_fluid_ParamAttr:

ParamAttr
---------

..  autoclass:: paddle.fluid.ParamAttr
    :members:
    :noindex:

.. _api_fluid_WeightNormParamAttr:

WeightNormParamAttr
-------------------

..  autoclass:: paddle.fluid.WeightNormParamAttr
    :members:
    :noindex:

.. _api_fluid_DataFeeder:

DataFeeder
----------

..  autoclass:: paddle.fluid.DataFeeder
    :members:
    :noindex:

.. _api_fluid_Scope:

Scope
-----

..  autoclass:: paddle.fluid.Scope
    :members:
    :noindex:

